#!/bin/sh 
#
#	(c) Frisk Software International
#	http://www.f-prot.com/
#
#	Startup script for f-protd
#	(for FreeBSD)

# The path to the virus signature files (*.DEF)
BASEPATH=/usr/local/f-prot
DEFPATH=$BASEPATH

case "$1" in
start)
	$BASEPATH/f-protd --background --defpath $DEFPATH > /dev/null 2>&1 && echo -n ' f-protd'
	;;
stop)
	killall f-protd && echo -n ' f-protd'
	;;
*)
	echo "unknown option: $1 - should be 'start' or 'stop'" >&2
	;;
esac
